"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
var Color;
(function (Color) {
    Color["Blue"] = "blue";
    Color["Black"] = "black";
    Color["Red"] = "red";
    Color["Transparent"] = "transparent";
})(Color = exports.Color || (exports.Color = {}));
function HelloWorld({ children, color }) {
    return react_1.default.createElement("div", { style: { color } }, children);
}
exports.HelloWorld = HelloWorld;
function createLink(link) {
    return (react_1.default.createElement("li", { key: link.name },
        react_1.default.createElement("a", { href: link.url }, link.name)));
}
function Menu({ links }) {
    return (react_1.default.createElement("div", null,
        react_1.default.createElement("h1", null, "Menu"),
        react_1.default.createElement("ul", null, links.map(createLink))));
}
exports.Menu = Menu;
//# sourceMappingURL=hello-world.js.map