import { ReactNode } from 'react';
export declare enum Color {
    Blue = "blue",
    Black = "black",
    Red = "red",
    Transparent = "transparent"
}
interface Props {
    children: ReactNode;
    color?: Color;
}
export declare function HelloWorld({ children, color }: Props): JSX.Element;
export interface Link {
    name: string;
    url: string;
}
interface MenuProps {
    links: Link[];
}
export declare function Menu({ links }: MenuProps): JSX.Element;
export {};
